//
//  AvatarDM.swift
//  WOKA
//
//  Created by MacBook Pro on 08/05/24.
//

import Foundation

// MARK: - AvatarDM
struct AvatarDM: Codable {
    let result: [ResultRecords]?
    let totalRecords: Int?

    enum CodingKeys: String, CodingKey {
        case result
        case totalRecords = "total_records"
    }
    
    // MARK: - Result
    struct ResultRecords: Codable {
        let id: Int?
        let avatarName: String?
        let avatarImageURL: String?

        enum CodingKeys: String, CodingKey {
            case id
            case avatarName = "avatar_name"
            case avatarImageURL = "avatar_image_url"
        }
    }
}
